### Method

# Gegl MetadataStore get_software

#### Declaration [src]

    const gchar*
    gegl_metadata_store_get_software (
      GeglMetadataStore* self
    )

#### Description [src]

Get software used to create the image.

Gets property | `Gegl.MetadataStore:software`

#### Return value

Type: `const gchar*`

Software or `NULL` if not set.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.